---
title: Returns a list of Hosts registered for a Site
slug: api/returns-a-list-of-hosts-registered-for-a-site
docTags: 
createdAt: 2026-03-01T03:12:36.506Z
---

{
  "id": "rzWlHKVhx8gWD11gssN3-",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://openapi.sine.co/v1/api/sites/{siteId}/hosts",
    "servers": [
      {
        "url": "https://openapi.sine.co/v1/api/sites/{siteId}/hosts",
        "description": "Sine Public API"
      }
    ],
    "name": "Returns a list of Hosts registered for a Site",
    "description": "Fetches high level information about hosts of given site sorted by hosts' name",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "siteId",
          "type": "string<uuid>",
          "example": "85543775-dad8-40de-8be4-7ac29dd7d466",
          "description": "Unique identifier for a Site",
          "format": "uuid"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-sine-team-id",
          "type": "string<uuid>",
          "description": "The UUID of the Team",
          "format": "uuid"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer",
          "example": 10,
          "description": "Maximum number of records to be returned",
          "default": 100,
          "minimum": 1,
          "maximum": 1000
        },
        {
          "kind": "optional",
          "name": "next",
          "type": "string",
          "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IjIwMjEwOTEyNCJ9.eyJuZXh0IjoiaG9zdCAxM2dyb3VwIDI2OWRhZWRiMC02NzQ5LTQ0NGEtOWMzYS05ZjM2MDE0MGZkZjciLCJzZXJ2aWNlIjoiZ2V0U2l0ZUhvc3RzIiwiaWF0IjoxNjMyNzIyMTU0LCJleHAiOjE2MzI4MDg1NTR9.DR7xq5szOqxw7vu6Boa0--jA5Ti6-hDg-jtmHiaFzZA",
          "description": "The 'next page token' required to fetch the next page of Hosts in a subsequent request"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearerAuth",
          "name": "bearerAuth",
          "kind": "optional",
          "type": "http",
          "description": "<p>To obtain a token, call <code>POST /oauth2/token</code> with your <code>client_id</code> and <code>client_secret</code>. The returned <code>access_token</code> is then used as a Bearer token for all subsequent requests.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>OK - Hosts returned successfully</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "records",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Unique identifier of the Host",
                    "example": "079fe2b4-f2ee-4a19-873d-ddb4f014dfce",
                    "format": "uuid"
                  },
                  {
                    "name": "firstName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Host first name",
                    "example": "Example"
                  },
                  {
                    "name": "lastName",
                    "kind": "optional",
                    "type": "string",
                    "description": "Host last name",
                    "example": "Person"
                  },
                  {
                    "name": "hostGroupName",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>Group name of the host (if available)</p>",
                    "example": "Staff"
                  },
                  {
                    "name": "email",
                    "kind": "optional",
                    "type": "string",
                    "description": "Host email address",
                    "example": "e.person@example.com"
                  }
                ]
              },
              {
                "name": "next",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IjIwMjEwOTEyNCJ9.eyJuZXh0IjoiaG9zdCAxM2dyb3VwIDI2OWRhZWRiMC02NzQ5LTQ0NGEtOWMzYS05ZjM2MDE0MGZkZjciLCJzZXJ2aWNlIjoiZ2V0U2l0ZUhvc3RzIiwiaWF0IjoxNjMyNzIyMTU0LCJleHAiOjE2MzI4MDg1NTR9.DR7xq5szOqxw7vu6Boa0--jA5Ti6-hDg-jtmHiaFzZA"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"BAD_REQUEST\",\"message\":\"The request is invalid\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "BAD_REQUEST"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom Error Message",
                "example": "The request is invalid"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"UNAUTHORIZED\",\"message\":\"Invalid authentication credentials\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "UNAUTHORIZED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Invalid authentication credentials"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"FORBIDDEN\",\"message\":\"You are not allowed to access this information\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "FORBIDDEN"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "You are not allowed to access this information"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Resource not found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"SITE_NOT_FOUND\",\"message\":\"SiteNotFoundError\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "SITE_NOT_FOUND"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "SiteNotFoundError"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "424",
        "description": "Service dependency failed",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"CONSUMER_ERROR\",\"message\":\"Unexpected error while communicating with downstream service, please try again\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "CONSUMER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Unexpected error while communicating with downstream service, please try again"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "429",
        "description": "Too many requests",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"RATE_LIMITED\",\"message\":\"API rate limit exceeded\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "RATE_LIMITED"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "API rate limit exceeded"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"code\":\"INTERNAL_SERVER_ERROR\",\"message\":\"Something went wrong, please try again later\"}",
            "description": "",
            "schema": [
              {
                "name": "code",
                "kind": "optional",
                "type": "string",
                "description": "HTTP status code",
                "example": "INTERNAL_SERVER_ERROR"
              },
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "Custom error message",
                "example": "Something went wrong, please try again later"
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "YDqb6-KqIx2P6ieWHvoGe",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://openapi.sine.co/v1/api/sites/{siteId}/hosts?limit=100' \\\n     --header 'accept: application/json' \\\n     --header 'x-sine-team-id: string<uuid>'"
        },
        {
          "id": "EA5dh7yNr0wL9ucsn0rZe",
          "language": "javascript",
          "label": "JavaScript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-sine-team-id\", \"string<uuid>\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://openapi.sine.co/v1/api/sites/{siteId}/hosts?limit=100\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "-RnrOzVoG8FaLRckpOl82",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://openapi.sine.co/v1/api/sites/{siteId}/hosts?limit=100\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-sine-team-id': 'string<uuid>'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "YDqb6-KqIx2P6ieWHvoGe"
    },
    "results": {
      "languages": [
        {
          "id": "5nTXQVl30EG98bjyA1KxO",
          "language": "200",
          "code": "// OK - Hosts returned successfully\n{\n  \"records\": [\n    {\n      \"id\": \"079fe2b4-f2ee-4a19-873d-ddb4f014dfce\",\n      \"firstName\": \"Example\",\n      \"lastName\": \"Person\",\n      \"hostGroupName\": \"Staff\",\n      \"email\": \"e.person@example.com\"\n    }\n  ],\n  \"next\": \"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IjIwMjEwOTEyNCJ9.eyJuZXh0IjoiaG9zdCAxM2dyb3VwIDI2OWRhZWRiMC02NzQ5LTQ0NGEtOWMzYS05ZjM2MDE0MGZkZjciLCJzZXJ2aWNlIjoiZ2V0U2l0ZUhvc3RzIiwiaWF0IjoxNjMyNzIyMTU0LCJleHAiOjE2MzI4MDg1NTR9.DR7xq5szOqxw7vu6Boa0--jA5Ti6-hDg-jtmHiaFzZA\"\n}"
        },
        {
          "id": "zc2VZ95e9KS8yNvZDOdj9",
          "language": "400",
          "code": "// Bad request\n{\n  \"code\": \"BAD_REQUEST\",\n  \"message\": \"The request is invalid\"\n}"
        },
        {
          "id": "C1ptn1hhTpqBykpUweTiZ",
          "language": "401",
          "code": "// Unauthorized\n{\n  \"code\": \"UNAUTHORIZED\",\n  \"message\": \"Invalid authentication credentials\"\n}"
        },
        {
          "id": "A-RgIR6KkMfJbdjgM2P2p",
          "language": "403",
          "code": "// Forbidden\n{\n  \"code\": \"FORBIDDEN\",\n  \"message\": \"You are not allowed to access this information\"\n}"
        },
        {
          "id": "hFWm2iLLIr4Zae4tEn0Hu",
          "language": "404",
          "code": "// Resource not found\n{\n  \"code\": \"SITE_NOT_FOUND\",\n  \"message\": \"SiteNotFoundError\"\n}"
        },
        {
          "id": "IPSeCmEuO_r4-14LnuoRN",
          "language": "424",
          "code": "// Service dependency failed\n{\n  \"code\": \"CONSUMER_ERROR\",\n  \"message\": \"Unexpected error while communicating with downstream service, please try again\"\n}"
        },
        {
          "id": "96EQbihYMF60IRC_hxQMy",
          "language": "429",
          "code": "// Too many requests\n{\n  \"code\": \"RATE_LIMITED\",\n  \"message\": \"API rate limit exceeded\"\n}"
        },
        {
          "id": "I8GiLbWdbvEcLXa52GI8y",
          "language": "500",
          "code": "// Internal server error\n{\n  \"code\": \"INTERNAL_SERVER_ERROR\",\n  \"message\": \"Something went wrong, please try again later\"\n}"
        }
      ],
      "selectedLanguageId": "5nTXQVl30EG98bjyA1KxO"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}